Debians sikkerhedsbulletin

DSA-4741-1 json-c -- sikkerhedsopdatering

Rapporteret den:
5. aug 2020
Berørte pakker:
json-c
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Mitres CVE-ordbog: CVE-2020-12762.
Yderligere oplysninger:

Tobias Stoeckmann opdagede et heltalsoverløb i JSON-biblioteket json-c, hvilket kunne medføre lammelsesangreb eller potentielt udførelse af vilkårlig kode, hvis store misdannede JSON-filer blev behandlet.

I den stabile distribution (buster), er dette problem rettet i version 0.12.1+ds-2+deb10u1.

Vi anbefaler at du opgraderer dine json-c-pakker.

For detaljeret sikkerhedsstatus vedrørende json-c, se dens sikkerhedssporingsside på: https://security-tracker.debian.org/tracker/json-c